## org.apache.taglibs.standard.tag.rt.xml
Class TransformTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.xml.TransformSupport
                  org.apache.taglibs.standard.tag.rt.xml.TransformTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class TransformTag

extends TransformSupport

A handler for <transform> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.xml.TransformSupport
`result, xml, xmlSystemId, xslt, xsltSystemId`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TransformTag()`

Method Summary
`void` `setDoc(Object xml)`
`void` `setDocSystemId(String xmlSystemId)`
`void` `setResult(Result result)`
`void` `setXml(Object xml)`
`void` `setXmlSystemId(String xmlSystemId)`
`void` `setXslt(Object xslt)`
`void` `setXsltSystemId(String xsltSystemId)`

Methods inherited from class org.apache.taglibs.standard.tag.common.xml.TransformSupport
`addParameter, doEndTag, doStartTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TransformTag

    public TransformTag()

Method Detail

### setXml

    public void setXml(Object xml)
                throws JspTagException

  Throws:
    `JspTagException`

### setDoc

    public void setDoc(Object xml)
                throws JspTagException

  Throws:
    `JspTagException`

### setXmlSystemId

    public void setXmlSystemId(String xmlSystemId)
                        throws JspTagException

  Throws:
    `JspTagException`

### setDocSystemId

    public void setDocSystemId(String xmlSystemId)
                        throws JspTagException

  Throws:
    `JspTagException`

### setXslt

    public void setXslt(Object xslt)
                 throws JspTagException

  Throws:
    `JspTagException`

### setXsltSystemId

    public void setXsltSystemId(String xsltSystemId)
                         throws JspTagException

  Throws:
    `JspTagException`

### setResult

    public void setResult(Result result)
                   throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.